Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#3060 closed undecided (fixed)

Newer pylint fails during validate.sh

Reported by: Ben Owned by: dustin
Priority: minor Milestone: undecided
Version: master Keywords:
Cc:

Description

validate.sh is complaining about bad continuation on lines I didn't changed. Making it difficult to filter out the real troubles from the wrong troubles.

pylint: 1.4.0

Change History (5)

comment:1 Changed 5 years ago by sa2ajj

pep8 would warn about those, so maybe this particular warning could disabled for pylint?

comment:2 Changed 5 years ago by dustin

Yes, I'm all for disabling any pylint spam that doesn't make sense.

Note that at the moment we use 1.1.0 explicitly on Travis (see travis.yml)

comment:3 Changed 5 years ago by dustin

  • Owner set to dustin
  • Status changed from new to accepted

comment:4 Changed 5 years ago by Dustin J. Mitchell <dustin@…>

  • Resolution set to fixed
  • Status changed from accepted to closed

In 59126efdc7b28293cd0908e1c53f783fc377a5cc:

set up test requirements with extras_require

Fixes #3060.

comment:5 Changed 5 years ago by Mikhail Sobolev <mss@…>

In 2b1b049ea20fb90273839e48f5daff4d3d52917f:

Merge pull request #1395 from djmitche/bug3060

set up test requirements with extras_require

Note: See TracTickets for help on using tickets.